# Generated by Django 3.2.25 on 2024-06-26 14:32

from django.db import migrations


def update_secrets_provider_slugs(apps, schema_editor):
    Secret = apps.get_model("extras", "Secret")
    Secret.objects.filter(provider="thycotic-tss-id").update(provider="delinea-tss-id")
    Secret.objects.filter(provider="thycotic-tss-path").update(provider="delinea-tss-path")


def reverse_secrets_provider_slugs(apps, schema_editor):
    Secret = apps.get_model("extras", "Secret")
    Secret.objects.filter(provider="delinea-tss-id").update(provider="thycotic-tss-id")
    Secret.objects.filter(provider="delinea-tss-path").update(provider="thycotic-tss-path")


class Migration(migrations.Migration):

    dependencies = []

    operations = [
        migrations.RunPython(update_secrets_provider_slugs, reverse_code=reverse_secrets_provider_slugs),
    ]
